Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.meetecho.ai/api/v1/customers/{customerId} \ --header 'x-api-key: <api-key>'
{ "id": "8cc6199f-9466-46f2-9db7-936f3c2c1c0b", "created_at": "2026-03-18T16:51:03.253Z", "project_id": "e56b4c35-882d-4604-9944-9763d314ea59", "external_id": "cust_001", "first_name": "John", "last_name": "Smith", "metadata": { "location": "Worldwideee" }, "phones": [ { "id": "270f9e3e-37b8-463d-a57f-448990fed179", "created_at": "2026-03-18T16:51:03.253Z", "customer_id": "8cc6199f-9466-46f2-9db7-936f3c2c1c0b", "value": "+971123456789", "is_primary": true, "status": "active" } ] }
Echo API key — format: echo_<64 hex chars>. Returned once on signup.
echo_<64 hex chars>
Customer object
"8cc6199f-9466-46f2-9db7-936f3c2c1c0b"
"e56b4c35-882d-4604-9944-9763d314ea59"
"cust_001"
"John"
"Smith"
{ "location": "Worldwideee" }
Show child attributes
"2026-03-18T16:51:03.253Z"